<?xml version="1.0" encoding="utf-8" ?>
<Defs>
	<FleckDef ParentName="FleckBase">
	<defName>CAT_AdventFleck</defName>
	<altitudeLayer>MoteLow</altitudeLayer>
	<fadeInTime>0.01</fadeInTime>
	<fadeOutTime>0.1</fadeOutTime>
	<solidTime>0.1</solidTime>
	<growthRate>0.5</growthRate>
	<drawOffscreen>true</drawOffscreen>
	<graphicData>
		<graphicClass>Graphic_FleckPulse</graphicClass>
		<texPath>Things/Mote/Black</texPath>
		<shaderType>MoteLargeDistortionWave</shaderType>
		<shaderParameters>
		<_DistortionTex>/Things/Mote/PsychicDistortionCurrents</_DistortionTex>
		<_NoiseTex>/Things/Mote/PsycastNoise</_NoiseTex>
		<_distortionIntensity>0.196</_distortionIntensity>
		<_brightnessMultiplier>1.5</_brightnessMultiplier>
	  </shaderParameters>
	  <drawSize>4</drawSize>
	</graphicData>
	</FleckDef>
  
  <EffecterDef>
    <defName>CAT_AdventFX</defName>
    <children>
      <li>
        <subEffecterClass>SubEffecter_SprayerContinuous</subEffecterClass>
        <fleckDef>CAT_AdventFleck</fleckDef>
        <ticksBetweenMotes>10</ticksBetweenMotes>
		<positionOffset>(0, 0, -0.4)</positionOffset>
        <scale>0.045~0.15</scale>
        <spawnLocType>OnSource</spawnLocType>
        <absoluteAngle>true</absoluteAngle>
        <angle>30~70</angle>
        <speed>0.04~0.07</speed>
      </li>
    </children>
  </EffecterDef>
</Defs>
